Daemon Power

The NetBSD Packages Collection: textproc/ruby-rails-dom-testing

Brief description of the package:
Ruby module to compare DOMs

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://github.com/rails/rails-dom-testing.

Please note that this package has a mit license.

The package is located in the "textproc/ruby-rails-dom-testing" directory. The current source version of the package is "ruby23-rails-dom-testing-1.0.8nb1". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for textproc/ruby-rails-dom-testing :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: ruby23-activesupport42>=4.2.8<4.3 ruby23-i18n>=0.7 ruby23-base>=2.3.5 libyaml>=0.1.1 cwrappers>=20150314 libyaml>=0.1.4 ruby23-minitest>=5.1 ruby23-thread_safe>=0.3.4 ruby23-atomic>=0 ruby23-tzinfo>=1.1 ruby23-thread_safe>=0.1<1 ruby23-nokogiri>=1.6.0 ruby23-mini_portile2>=2.2.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxslt>=1.1.8 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 libxml2>=2.8.0nb2 docbook-xml-[0-9]* docbook-xsl-[0-9]* docbook-xml>=4.2 perl>=5.0 libxslt>=1.1.28nb2 ruby23-rails-deprecated_sanitizer>=1.0.1 .

This package requires the following package(s) to run: ruby23-activesupport42>=4.2.8<4.3 ruby23-i18n>=0.7 ruby23-base>=2.3.5 libyaml>=0.1.1 libyaml>=0.1.4 ruby23-minitest>=5.1 ruby23-thread_safe>=0.3.4 ruby23-atomic>=0 ruby23-tzinfo>=1.1 ruby23-thread_safe>=0.1<1 ruby23-nokogiri>=1.6.0 ruby23-mini_portile2>=2.2.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxslt>=1.1.8 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 libxml2>=2.8.0nb2 libxslt>=1.1.28nb2 ruby23-rails-deprecated_sanitizer>=1.0.1 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
earmv7hf:ruby22-rails-dom-testing-1.0.8nb1.tgz(NetBSD 8.0_BETA)
earmv7hf:ruby23-rails-dom-testing-1.0.8nb1.tgz(NetBSD 8.0_BETA)
i386:ruby22-rails-dom-testing-1.0.8nb1.tgz(NetBSD 6.0)
i386:ruby23-rails-dom-testing-1.0.8nb1.tgz(NetBSD 6.0)
i386:ruby24-rails-dom-testing-1.0.8nb1.tgz(NetBSD 6.0)
i386:ruby22-rails-dom-testing-1.0.8nb1.tgz(NetBSD 6.1)
i386:ruby23-rails-dom-testing-1.0.8nb1.tgz(NetBSD 6.1)
i386:ruby24-rails-dom-testing-1.0.8nb1.tgz(NetBSD 6.1)
i386:ruby22-rails-dom-testing-1.0.8nb1.tgz(NetBSD 7.0)
i386:ruby23-rails-dom-testing-1.0.8nb1.tgz(NetBSD 7.0)
i386:ruby24-rails-dom-testing-1.0.8nb1.tgz(NetBSD 7.0)
powerpc:ruby24-rails-dom-testing-1.0.8nb1.tgz(NetBSD 6.1)
powerpc:ruby22-rails-dom-testing-1.0.8nb1.tgz(NetBSD 7.1)
powerpc:ruby23-rails-dom-testing-1.0.8nb1.tgz(NetBSD 7.1)
powerpc:ruby24-rails-dom-testing-1.0.8nb1.tgz(NetBSD 7.1)
powerpc:ruby22-rails-dom-testing-1.0.8nb1.tgz(NetBSD 8.0)
powerpc:ruby23-rails-dom-testing-1.0.8nb1.tgz(NetBSD 8.0)
powerpc:ruby24-rails-dom-testing-1.0.8nb1.tgz(NetBSD 8.0)
x86_64:ruby22-rails-dom-testing-1.0.8nb1.tgz(NetBSD 6.0)
x86_64:ruby23-rails-dom-testing-1.0.8nb1.tgz(NetBSD 6.0)
x86_64:ruby24-rails-dom-testing-1.0.8nb1.tgz(NetBSD 6.0)
x86_64:ruby22-rails-dom-testing-1.0.8nb1.tgz(NetBSD 6.1)
x86_64:ruby23-rails-dom-testing-1.0.8nb1.tgz(NetBSD 6.1)
x86_64:ruby24-rails-dom-testing-1.0.8nb1.tgz(NetBSD 6.1)
x86_64:ruby22-rails-dom-testing-1.0.8nb1.tgz(NetBSD 7.0)
x86_64:ruby23-rails-dom-testing-1.0.8nb1.tgz(NetBSD 7.0)
x86_64:ruby24-rails-dom-testing-1.0.8nb1.tgz(NetBSD 7.0)
x86_64:ruby22-rails-dom-testing-1.0.8nb1.tgz(NetBSD 7.0.1_PATCH)
x86_64:ruby23-rails-dom-testing-1.0.8nb1.tgz(NetBSD 7.0.1_PATCH)
x86_64:ruby24-rails-dom-testing-1.0.8nb1.tgz(NetBSD 7.0.1_PATCH)
x86_64:ruby22-rails-dom-testing-1.0.8nb1.tgz(NetBSD 8.99.1)
x86_64:ruby23-rails-dom-testing-1.0.8nb1.tgz(NetBSD 8.99.1)
x86_64:ruby24-rails-dom-testing-1.0.8nb1.tgz(NetBSD 8.99.1)
x86_64:ruby22-rails-dom-testing-1.0.8nb1.tgz(NetBSD 8.99.1)
x86_64:ruby23-rails-dom-testing-1.0.8nb1.tgz(NetBSD 8.99.1)
x86_64:ruby24-rails-dom-testing-1.0.8nb1.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]